FROM opensuse/leap:15.4 as builder

RUN zypper -q -n --gpg-auto-import-keys update
RUN zypper -q -n in -t pattern devel_perl devel_basis
RUN zypper -q -n install \
      autoconf \
      automake \
      byacc \
      bzip2 \
      ccache \
      clang-devel \
      cmake \
      curl \
      distcc \
      gcc \
      gcc-c++ \
      gcc8 \
      gcc8-c++ \
      gdbm-devel \
      gettext-devel \
      gettext-tools \
      glibc-i18ndata \
      glibc-locale \
      krb5-devel \
      libcurl-devel \
      libexpat-devel \
      libffi-devel \
      libopenssl-devel \
      libyaml-devel \
      make \
      ncurses-devel \
      openssh \
      readline-devel \
      rpmbuild \
      tar \
      timezone \
      unzip \
      which \
      zlib-devel \
      python3

ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8
ENV LANGUAGE en_US:en
RUN localedef -i en_US -f UTF-8 en_US.UTF-8

RUN update-ca-certificates -f

<%= Snippets.new(platform: 'arm64').populate %>

# Removing cmake from distribution now that we have it installed from source
RUN zypper -q -n rm cmake

FROM opensuse/leap:15.4
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
